From e0c867a12fd3d49fd49ee348bcabe4eafc217082 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
Date: Sun, 19 Jun 2011 10:24:55 +0200
Subject: [PATCH] Use `printf' instead of `echo -[en]', to make the code POSIX
 friendly.

---
 GNUmakefile    |    2 +-
 mk/Autoconf.mk |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/GNUmakefile b/GNUmakefile
index c96e635..9de3f6c 100644
--- a/GNUmakefile
+++ b/GNUmakefile
@@ -30,7 +30,7 @@ include $(srcdir)/mk/Autoconf.mk
 
 ac_jpeg_ver = $(shell \
 	$(call ac_init,for libjpeg version);\
-	$(call ac_s_cmd,echo -e '\#include <jpeglib.h>\nJPEG_LIB_VERSION' \
+	$(call ac_s_cmd,printf '\#include <jpeglib.h>\nJPEG_LIB_VERSION' \
 		| cpp | tail -n 1);\
 	$(call ac_fini))
 
diff --git a/mk/Autoconf.mk b/mk/Autoconf.mk
index 7608ea5..513f449 100644
--- a/mk/Autoconf.mk
+++ b/mk/Autoconf.mk
@@ -24,7 +24,7 @@ ifneq ($(verbose),no)
   ac_fini	= echo "... result is $${rc}" >&2; echo >&2; echo "$${rc}"
 else
   # normal
-  ac_init	= echo -n "checking $(1) ... " >&2; rc=no
+  ac_init	= printf '%s' "checking $(1) ... " >&2; rc=no
   ac_b_cmd	= $(1) >/dev/null 2>&1 && rc=yes
   ac_s_cmd	= rc=`$(1) 2>/dev/null`
   ac_fini	= echo "$${rc}" >&2; echo "$${rc}"
@@ -162,7 +162,7 @@ config: Make.config
 	@true
 
 Make.config: $(srcdir)/GNUmakefile
-	@echo -e "$(make-config-q)" > $@
+	@printf '%b' "$(make-config-q)" > $@
 	@echo
 	@echo "Make.config written, edit if needed"
 	@echo
-- 
1.7.5.3

